; ============================================================================================

; Measures

; ============================================================================================

; =====================================================================

; =====================================================================

[ActionTimer_Icon_Initiate]
Measure=Plugin
Plugin=ActionTimer
ActionList1=Repeat CountUp,1,#AnimationRepetition#
CountUp=[!SetVariable Icon_Initiate "(Clamp(#Icon_Initiate#+#AnimationSpeed#,0,#AnimationLimit#))"][!UpdateMeasure ActionTimer_Icon_Initiate][!UpdateMeterGroup Icons][!Redraw]
ActionList2=Repeat CountDown,1,#AnimationRepetition#
CountDown=[!SetVariable Icon_Initiate "(Clamp(#Icon_Initiate#-#AnimationSpeed#,0,#AnimationLimit#))"][!UpdateMeasure ActionTimer_Icon_Initiate][!UpdateMeterGroup Icons][!Redraw]
DynamicVariables=1
IgnoreWarnings=1

[ActionTimer_Icon_OpenURL]
Measure=Plugin
Plugin=ActionTimer
ActionList1=Repeat CountUp,1,#AnimationRepetition#
CountUp=[!SetVariable Icon_OpenURL "(Clamp(#Icon_OpenURL#+#AnimationSpeed#,0,#AnimationLimit#))"][!UpdateMeasure ActionTimer_Icon_OpenURL][!UpdateMeterGroup Icons][!Redraw]
ActionList2=Repeat CountDown,1,#AnimationRepetition#
CountDown=[!SetVariable Icon_OpenURL "(Clamp(#Icon_OpenURL#-#AnimationSpeed#,0,#AnimationLimit#))"][!UpdateMeasure ActionTimer_Icon_OpenURL][!UpdateMeterGroup Icons][!Redraw]
DynamicVariables=1
IgnoreWarnings=1

[ActionTimer_Icon_OpenFolder]
Measure=Plugin
Plugin=ActionTimer
ActionList1=Repeat CountUp,1,#AnimationRepetition#
CountUp=[!SetVariable Icon_OpenFolder "(Clamp(#Icon_OpenFolder#+#AnimationSpeed#,0,#AnimationLimit#))"][!UpdateMeasure ActionTimer_Icon_OpenFolder][!UpdateMeterGroup Icons][!Redraw]
ActionList2=Repeat CountDown,1,#AnimationRepetition#
CountDown=[!SetVariable Icon_OpenFolder "(Clamp(#Icon_OpenFolder#-#AnimationSpeed#,0,#AnimationLimit#))"][!UpdateMeasure ActionTimer_Icon_OpenFolder][!UpdateMeterGroup Icons][!Redraw]
DynamicVariables=1
IgnoreWarnings=1

; =====================================================================

; =====================================================================

[Download_RunCommand]
Measure=Plugin
Plugin=RunCommand
Parameter="#@#\youtube-dl.exe #URL# -f #Format#"
StartInFolder=#Path_Destination#
DynamicVariables=1

; ============================================================================================

; Meters

; ============================================================================================

; =====================================================================

; =====================================================================

[Start_Icon]
Meter=String
y=r

; =====================================================================

; =====================================================================

[Icon_Dummy]
Meter=String
x=(#SkinWidth#-2*#SkinPadding#-#TextBoxWidth#)
y=([Start_Icon:y]+#SkinPadding#+#RowHeight#*0.25)

[Icon_Initiate]
MeterStyle=Style_ShapeIcon
Meter=Shape
LeftMouseUpAction=[!UpdateMeasure Download_RunCommand][!CommandMeasure Download_RunCommand "Run"][!WriteKeyValue Variables Format "#Format#" "#@#Variables.inc"]

[Icon_OpenURL]
MeterStyle=Style_ShapeIcon
Meter=Shape
LeftMouseUpAction=["#URL#"]

[Icon_OpenFolder]
MeterStyle=Style_ShapeIcon
Meter=Shape
LeftMouseUpAction=["#Path_Destination#"]

; =====================================================================

; =====================================================================

[ActualIcon_Initiate]
MeterStyle=Style_ShapeActualIcon
Meter=Shape
x=([Icon_Initiate:x]+(#OptionBoxWidth#-[#CurrentSection#:h])/2)
y=([Icon_Initiate:y]+#RowHeight#*0.25)
w=#RowHeight#
h=#RowHeight#
Shape=Rectangle 0,0,[#CurrentSection#:h],[#CurrentSection#:h] | StrokeWidth 0 | Fill Color 0,0,0,1
Shape2=Rectangle ([#CurrentSection#:h]*6/24),([#CurrentSection#:h]*18/24),([#CurrentSection#:h]*12/24),([#CurrentSection#:h]*2/24) | StrokeWidth 0 | Extend FillColour
Shape3=Rectangle ([#CurrentSection#:h]*11/24),([#CurrentSection#:h]*4/24),([#CurrentSection#:h]*2/24),([#CurrentSection#:h]*10/24) | StrokeWidth 0
Shape4=Rectangle ([#CurrentSection#:h]*12/24),([#CurrentSection#:h]*14/24),([#CurrentSection#:h]*8/24),([#CurrentSection#:h]*2/24) | StrokeWidth 0 | Rotate -45,0,([#CurrentSection#:h]*2/24)
Shape5=Rectangle ([#CurrentSection#:h]*12/24),([#CurrentSection#:h]*14/24),([#CurrentSection#:h]*-8/24),([#CurrentSection#:h]*2/24) | StrokeWidth 0| Rotate 45,([#CurrentSection#:h]*8/24),([#CurrentSection#:h]*2/24)
Shape6=Combine Shape2 | Union Shape3 | Union Shape4 | Union Shape5

[ActualIcon_OpenURL]
MeterStyle=Style_ShapeActualIcon
Meter=Shape
x=([Icon_OpenURL:x]+(#OptionBoxWidth#-[#CurrentSection#:h])/2)
y=([Icon_OpenURL:y]+#RowHeight#*0.25)
Shape=Rectangle 0,0,[#CurrentSection#:h],[#CurrentSection#:h] | StrokeWidth 0 | Fill Color 0,0,0,1
Shape2=Rectangle ([#CurrentSection#:h]*2/24),([#CurrentSection#:h]*7/24),([#CurrentSection#:h]*20/24),([#CurrentSection#:h]*10/24),([#CurrentSection#:h]*5/24) | StrokeWidth 0 | Extend FillColour
Shape3=Rectangle ([#CurrentSection#:h]*4/24),([#CurrentSection#:h]*9/24),([#CurrentSection#:h]*16/24),([#CurrentSection#:h]*6/24),([#CurrentSection#:h]*3/24) | StrokeWidth 0
Shape4=Rectangle ([#CurrentSection#:h]*11/24),([#CurrentSection#:h]*7/24),([#CurrentSection#:h]*2/24),([#CurrentSection#:h]*10/24) | StrokeWidth 0
Shape5=Rectangle ([#CurrentSection#:h]*8/24),([#CurrentSection#:h]*11/24),([#CurrentSection#:h]*8/24),([#CurrentSection#:h]*2/24) | StrokeWidth 0
Shape6=Combine Shape2 | Exclude Shape3 | Exclude Shape4 | Union Shape5

[ActualIcon_OpenFolder]
MeterStyle=Style_ShapeActualIcon
Meter=Shape
x=([Icon_OpenFolder:x]+(#OptionBoxWidth#-[#CurrentSection#:h])/2)
y=([Icon_OpenFolder:y]+#RowHeight#*0.25)
w=#RowHeight#
h=#RowHeight#
Shape=Rectangle 0,0,[#CurrentSection#:h],[#CurrentSection#:h] | StrokeWidth 0 | Fill Color 0,0,0,1
Shape2=Path Outline | StrokeWidth 0 | Extend FillColour
Shape3=Path Outline2 | StrokeWidth 0
Shape4=Combine Shape2 | Exclude Shape3
Outline=([#CurrentSection#:h]*12/24),([#CurrentSection#:h]*6/24) | LineTo ([#CurrentSection#:h]*20/24),([#CurrentSection#:h]*6/24) | ArcTo ([#CurrentSection#:h]*22/24),([#CurrentSection#:h]*8/24),([#CurrentSection#:h]*2/24) | LineTo ([#CurrentSection#:h]*22/24),([#CurrentSection#:h]*18/24) | ArcTo ([#CurrentSection#:h]*20/24),([#CurrentSection#:h]*20/24),([#CurrentSection#:h]*2/24) | LineTo ([#CurrentSection#:h]*4/24),([#CurrentSection#:h]*20/24) | ArcTo ([#CurrentSection#:h]*2/24),([#CurrentSection#:h]*18/24),([#CurrentSection#:h]*2/24) | LineTo ([#CurrentSection#:h]*2/24),([#CurrentSection#:h]*6/24) | ArcTo ([#CurrentSection#:h]*4/24),([#CurrentSection#:h]*4/24),([#CurrentSection#:h]*2/24) | LineTo ([#CurrentSection#:h]*10/24),([#CurrentSection#:h]*4/24) | ClosePath 1
Outline2=([#CurrentSection#:h]*11/24),([#CurrentSection#:h]*8/24) | LineTo ([#CurrentSection#:h]*20/24),([#CurrentSection#:h]*8/24) | LineTo ([#CurrentSection#:h]*20/24),([#CurrentSection#:h]*18/24) | LineTo ([#CurrentSection#:h]*4/24),([#CurrentSection#:h]*18/24) | LineTo ([#CurrentSection#:h]*4/24),([#CurrentSection#:h]*6/24) | LineTo ([#CurrentSection#:h]*9/24),([#CurrentSection#:h]*6/24) | ClosePath 1

; =====================================================================

; =====================================================================

[Description_Initiate]
MeterStyle=Style_StringIconDescription
Meter=String
Text=Start the download process.
Container=Container_Initiate

[Description_OpenURL]
MeterStyle=Style_StringIconDescription
Meter=String
Text=Open the URL in a window.
Container=Container_OpenURL

[Description_OpenFolder]
MeterStyle=Style_StringIconDescription
Meter=String
Text=Open the destination folder.
Container=Container_OpenFolder

; =====================================================================

; =====================================================================

[Container_Initiate]
Group=Icons
Meter=Image
x=([Icon_Initiate:x]+#OptionBoxWidth#)
y=[Icon_Initiate:y]
w=([Icon_Initiate:w]-#OptionBoxWidth#)
h=[Icon_Initiate:h]
SolidColor=0,0,0
DynamicVariables=1

[Container_OpenURL]
Group=Icons
Meter=Image
x=([Icon_OpenURL:x]+#OptionBoxWidth#)
y=[Icon_OpenURL:y]
w=([Icon_OpenURL:w]-#OptionBoxWidth#)
h=[Icon_OpenURL:h]
SolidColor=0,0,0
DynamicVariables=1

[Container_OpenFolder]
Group=Icons
Meter=Image
x=([Icon_OpenFolder:x]+#OptionBoxWidth#)
y=[Icon_OpenFolder:y]
w=([Icon_OpenFolder:w]-#OptionBoxWidth#)
h=[Icon_OpenFolder:h]
SolidColor=0,0,0
DynamicVariables=1
