; ============================================================================================

; [Variables]
; Declaring relevant variables and @Include

; ============================================================================================

[Variables]

; =====================================================================

; Change this

; =====================================================================

Path_Destination=

Platform1=youtube
Platform1URL=https://www.youtube.com
Platform2=soundcloud
Platform2URL=https://soundcloud.com

; =====================================================================

; =====================================================================

SizeFactor=400

FontName=Roboto
FontSize=0.85

; =====================================================================

; =====================================================================

SkinWidth=(#SizeFactor#*1.5)
SkinHeight=(#SizeFactor#)

SkinPadding=12.5
SidebarWidth=35
RowHeight=25

TextBoxWidth=450

OptionBoxWidth=(#RowHeight#*3)
NoOptionBox=3

; =====================================================================

; =====================================================================

ColourBackground=250,250,250
ColourHeader=33,33,33
ColourSidebar=240,240,240

ColourSelectHighlight=60,60,60
ColourDeselectHighlight=180,180,180

ColourTextMain=0,0,0
ColourTextDescription=127,127,127

ColourOptionBoxBorder=127,127,127
ColourOptionBoxFill=255,255,255
ColourOptionBoxButton=60,60,60

White=255,255,255
Grey=127,127,127
Black=0,0,0
Peach=255,127,127
Red=255,0,0

; =====================================================================

; =====================================================================

format=mp4+m4a

URLGreetingText=Input your URL here, or select a default url ''default #*platform*#''.
URL=#URLGreetingText#
HomeURL=https://ytdl-org.github.io/youtube-dl/

Error1=0
Error2=0
Error3=0

VerCurrent=
VerAvaliable=

; =====================================================================

; Animation Settings

; =====================================================================

AnimationSpeed=40
AnimationLimit=1000
AnimationRepetition=30

Icon_Initiate=0
Icon_OpenURL=0
Icon_OpenFolder=0
Section_Format=0

; =====================================================================

; =====================================================================

[AnimationRepetition]
Measure=Calc
Formula=ceil(#AnimationLimit#/#AnimationSpeed#+5)
IfCondition=#AnimationRepetition#=#CurrentSection#
IfTrueAction=[!DisableMeasure #CurrentSection#]
IfFalseAction=[!WriteKeyValue Variables #CurrentSection# "[#CurrentSection#]" "#@#Variables.inc"][!Refresh]

; ============================================================================================

; MeterStyles
; Declaring relevant MeterStyles

; ============================================================================================

; =====================================================================

; =====================================================================

[Style_StringFailSafeMessage]
InlineSetting=Face | #FontName#
InlineSetting2=Size | (6*#RowHeight#/12.5*#FontSize#)
InlineSetting3=Color | #Red#
StringAlign=CenterBottom
AntiAlias=1
Hidden=1
DynamicVariables=1

[Style_StringHeader]
InlineSetting=Face | #FontName#
InlineSetting2=Size | (6*#RowHeight#/12.5*#FontSize#)
InlineSetting3=Color | #White#
StringAlign=LeftCenter
AntiAlias=1

[Style_URLTextDisplay]
x=((#SkinWidth#-#SkinPadding#-#TextBoxWidth#)+#SkinPadding#)
w=(#TextBoxWidth#-#SkinPadding#*2)
h=(#RowHeight#)
InlineSetting=Face | #FontName#
InlineSetting2=Size | (7*#RowHeight#/12.5*#FontSize#)
InlineSetting3=Color | #ColourTextMain#
InlineSetting4=Color | #ColourTextMain#,127
InlinePattern4=#URLGreetingText#
InlineSetting5=Italic
InlinePattern5=#URLGreetingText#
StringAlign=LeftCenter
DynamicVariables=1
AntiAlias=1
ClipString=1
SolidColor=0,0,0,1

[Style_FormatTextDisplay]
x=(#SkinWidth#-#TextBoxWidth#)
w=(#TextBoxWidth#-#SkinPadding#*2)
h=(#RowHeight#)
InlineSetting=Face | #FontName#
InlineSetting2=Size | (7*#RowHeight#/12.5*#FontSize#)
InlineSetting3=Color | #ColourTextMain#
StringAlign=LeftCenter
DynamicVariables=1
AntiAlias=1
ClipString=1
SolidColor=0,0,0,1

[Style_StringTextDescription]
x=(#SidebarWidth#+3*#SkinPadding#)
h=(#RowHeight#)
InlineSetting=Face | #FontName#
InlineSetting2=Size | (7*#RowHeight#/12.5*#FontSize#)
InlineSetting3=Color | #ColourTextMain#
StringAlign=LeftCenter
AntiAlias=1
DynamicVariables=1

[Style_StringIconDescription]
Group=Icons
x=0
y=(#RowHeight#*1.5/2)
h=(#RowHeight#)
InlineSetting=Face | #FontName#
InlineSetting2=Size | (7*#RowHeight#/12.5*#FontSize#)
InlineSetting3=Color | #ColourTextMain#
StringAlign=LeftCenter
AntiAlias=1

; =====================================================================

; =====================================================================

[Style_ShapeIcon]
Group=Icons
x=#SkinPadding#R
y=r
h=(#RowHeight#*1.5)
Shape=Rectangle 0,0,(max((#OptionBoxWidth#),[#[#CurrentSection]]/#AnimationLimit#*(#TextBoxWidth#-(#NoOptionBox#-1)*(#OptionBoxWidth#+#SkinPadding#)))),[#CurrentSection#:h],5 | StrokeWidth 1 | Stroke Color #ColourOptionBoxBorder# | Fill Color #ColourOptionBoxFill#
DynamicVariables=1
MouseOverAction=[!CommandMeasure ActionTimer_#CurrentSection# "Stop 2"][!CommandMeasure ActionTimer_#CurrentSection# "Execute 1"]
MouseLeaveAction=[!CommandMeasure ActionTimer_#CurrentSection# "Stop 1"][!CommandMeasure ActionTimer_#CurrentSection# "Execute 2"]

[Style_ShapeActualIcon]
Group=Icons
y=r
w=#RowHeight#
h=#RowHeight#
DynamicVariables=1
FillColour=Fill Color #ColourTextMain#
