; ============================================================================================

; Measures

; ============================================================================================

; =====================================================================

; =====================================================================

[FormatInput]
Measure=Plugin
Plugin=InputText
SolidColor=#ColourOptionBoxFill#
FontColor=#ColourTextMain#
FontFace=#FontName#
FontSize=(7*#RowHeight#/12.5*#FontSize#)
StringAlign=Left
x=(#SkinWidth#-#TextBoxWidth#)
y=([FormatDisplay:y]+#RowHeight#*0.15)
w=(#TextBoxWidth#-2*#SkinPadding#)
h=(#RowHeight#*0.80)
Command1=!WriteKeyValue Variables Format "$UserInput$" "#@#Variables.inc"
Command2=!Refresh

; ============================================================================================

; Meters

; ============================================================================================

; =====================================================================

; =====================================================================

[Start_Format]
Meter=String
y=r

; =====================================================================

; =====================================================================

[FormatDescription]
MeterStyle=Style_StringTextDescription
Meter=String
Text=Format:
y=([Start_Format:y]+#SkinPadding#+#RowHeight#)

[FormatBox]
Meter=Shape
x=(#SkinWidth#-#SkinPadding#-#TextBoxWidth#)
y=([Start_Format:y]+#SkinPadding#)
w=#TextBoxWidth#
h=(#RowHeight#*2)
Shape=Rectangle 0,0,#TextBoxWidth#,(#RowHeight#*2) | StrokeWidth 0 | Fill Color 0,0,0,0
Shape2=Rectangle 0,(#RowHeight#*0.25),#TextBoxWidth#,(#RowHeight#*1.5),5 | StrokeWidth 1 | Stroke Color #ColourOptionBoxBorder# | Fill Color #ColourOptionBoxFill#

[FormatDisplay]
Group=URL
MeterStyle=Style_FormatTextDisplay
Meter=String
Text=#Format#
y=([FormatBox:y]+[FormatBox:h]/2)
LeftMouseUpAction=[!CommandMeasure "FormatInput" "ExecuteBatch All"]

; =====================================================================

; =====================================================================

[Divider_Format]
Meter=Shape
y=([Start_Format:y]+(2*#RowHeight#+2*#SkinPadding#))
Shape=Line (#SidebarWidth#+3*#SkinPadding#),0,(#SkinWidth#-#SkinPadding#),0 | StrokeWidth 1 | Stroke Color #ColourOptionBoxBorder#
DynamicVariables=1

; =====================================================================

; =====================================================================

[End_Format]
Meter=String
y=([Start_Format:y]+(2*#RowHeight#+2*#SkinPadding#))
DynamicVariables=1