; ============================================================================================

; Measures

; ============================================================================================

; =====================================================================

; =====================================================================

[URLInput]
Measure=Plugin
Plugin=InputText
SolidColor=#ColourOptionBoxFill#
FontColor=#ColourTextMain#
FontFace=#FontName#
FontSize=(7*#RowHeight#/12.5*#FontSize#)
StringAlign=Left
x=(#SkinWidth#-#TextBoxWidth#)
y=([URLDisplay:y]+#RowHeight#*0.15)
w=(#TextBoxWidth#-2*#SkinPadding#)
h=(#RowHeight#*0.80)
Command1=!SetVariable URL "$UserInput$" DefaultValue=""
Command2=!UpdateMeasureGroup URL
Command3=!UpdateMeterGroup URL
Command4=!Redraw

[DefaultURLSubstitute]
Group=URL
Measure=String
String=#URL#
IfMatch="^$"
IfMatchAction=[!SetVariable URL "#URLGreetingText#"][!UpdateMeterGroup URL][!Redraw]
IfMatch2="(?i)default.*(?i)#Platform1#|(?i)#Platform1#.*(?i)default"
IfMatchAction2=[!SetVariable URL "#Platform1URL#"][!UpdateMeterGroup URL][!Redraw]
IfMatch3="(?i)default.*(?i)#Platform2#|(?i)#Platform2#.*(?i)default"
IfMatchAction3=[!SetVariable URL "#Platform2URL#"][!UpdateMeterGroup URL][!Redraw]
DynamicVariables=1

; ============================================================================================

; Meters

; ============================================================================================

; =====================================================================

; =====================================================================

[Start_URL]
Meter=String
y=(#RowHeight#+2*#SkinPadding#)

; =====================================================================

; =====================================================================

[URLDescription]
MeterStyle=Style_StringTextDescription
Meter=String
Text=URL:
y=([Start_URL:y]+#SkinPadding#+#RowHeight#)

[URLBox]
Meter=Shape
x=(#SkinWidth#-#SkinPadding#-#TextBoxWidth#)
y=([Start_URL:y]+#SkinPadding#)
w=#TextBoxWidth#
h=(#RowHeight#*2)
Shape=Rectangle 0,0,#TextBoxWidth#,(#RowHeight#*2) | StrokeWidth 0 | Fill Color 0,0,0,0
Shape2=Rectangle 0,(#RowHeight#*0.25),#TextBoxWidth#,(#RowHeight#*1.5),5 | StrokeWidth 1 | Stroke Color #ColourOptionBoxBorder# | Fill Color #ColourOptionBoxFill#

[URLDisplay]
Group=URL
MeterStyle=Style_URLTextDisplay
Meter=String
Text=#URL#
y=([URLBox:y]+[URLBox:h]/2)
LeftMouseUpAction=[!CommandMeasure "URLInput" "ExecuteBatch All"]

; =====================================================================

; =====================================================================

[Divider_URL]
Meter=Shape
y=([Start_URL:y]+(2*#RowHeight#+2*#SkinPadding#))
Shape=Line (#SidebarWidth#+3*#SkinPadding#),0,(#SkinWidth#-#SkinPadding#),0 | StrokeWidth 1 | Stroke Color #ColourOptionBoxBorder#
DynamicVariables=1
; =====================================================================

; =====================================================================

[End_URL]
Meter=String
y=([Start_URL:y]+(2*#RowHeight#+2*#SkinPadding#))
DynamicVariables=1